import { MetadataComponent } from './types';
/**
 * A collection that contains no duplicate MetadataComponents. Components are hashed
 * by their FullName and metadata type id.
 */
export declare class ComponentSet<T extends MetadataComponent> {
    private map;
    constructor(components?: Iterable<T>);
    add(component: T): void;
    get(component: MetadataComponent): T | undefined;
    has(component: MetadataComponent): boolean;
    values(): IterableIterator<T>;
    private key;
}
