import { SfdxFileFormat, ConvertOutputConfig, ConvertResult } from './types';
import { RegistryAccess, SourceComponent } from '../metadata-registry';
export declare class MetadataConverter {
    static readonly PACKAGE_XML_FILE = "package.xml";
    static readonly DEFAULT_PACKAGE_PREFIX = "metadataPackage";
    private registry;
    constructor(registry?: RegistryAccess);
    /**
     * Convert metadata components to another SFDX file format.
     *
     * @param components Components to convert
     * @param targetFormat Format to convert the component files to
     * @param output Configuration for outputting the converted files
     */
    convert(components: SourceComponent[], targetFormat: SfdxFileFormat, output: ConvertOutputConfig): Promise<ConvertResult>;
    private getPackagePath;
}
